deng says china troubles chinese leader deng xiaoping told visiting secretary state george shultz china recent troubles two discussed washington scandal arms sales iran china political situation fall communist party leader hu yaobang deng said know president difficulties think now doesn matter one running government one deal troubles troubles recently encountered deng added